# Update SKU Prices
# Dxplaination of Interface Call Request
http请求方式:POST
https://api.weixin.qq.com/product/sku/update_price?access_token=xxxxxxxxx
# Example of request parameters
{
"product_id": 23423523452345235,
"out_product_id": "1234566",
"sku_id": 1343,
"out_sku_id": "1024",
"sale_price": 1300,
"market_price": 1500,
}
# Examples of back-up
{
"errcode": 0,
"errmsg":"ok",
"data":
{
"sku_id":2342523452352345,
"update_time": "2020-03-25 12:05:25"
}
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| product_id | number | no | Mini Store internal product ID, and out_product_id two choice |
| out_product_id | string | no | Choose between product_id and product_id |
| sku_id | number | no | Out_sku_id, sku_id |
| out_sku_id | string | no | Out_sku_id, sku_id |
| sale_price | number | yes | Selling price, divided into units, not exceeding 1000000000 (10 million yuan) |
| market_price | number | no | The market price, to be divided into units of no more than 1000000000 ($10 million), must be greater than sale_price |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
| data.sku_id | number | skuID |
| data.update_time | string | Updated time |
# Return code
| 返回码 | Error Type |
|---|---|
| -1 | System exceptions |
| -2 | Token too long |
| 9401020 | The parameter is incorrect. |
| 9401006 | SKU does not exist |
| 9401005 | SKU already exists |
| 9401025 | SKU does not allow editing |
| 9401054 | Sku price is 0 |
| 9401055 | Sku sale pricesale_pricegreater than or equal to market pricemarket_price |